Subject: Re: [RFC v2] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Fri, 22 Aug 2008 02:06:56 +0200

Stephan Beyer wrote:
> Jakub Narebski wrote:

> > > This question leads me to a question that could be put into the survey:
> > > 
> > > 	Where have you read about this survey? (optional)
> > > 	[Free form]
> > 
> > But where to add it?  Additionally I'd rather limit free-form questions
> > to absolute minimum.
> 
> If you want to add it nonetheless, then it could be question 60.

I'll added it.  It would be useful if there would be survey in
the following years.

> > > > What other SCM did or do you use?
> > > >[..]
> > > >  custom ( ) ( ) ( )
> > > 
> > > custom?
> > 
> > I mean here custom, not published (or no longer existing) SCM; something
> > that would be hard to write about.
> 
> This means the difference to "other" is that it is something somebody
> has written for herself (or a company product only used in that
> company) and "other" is some less popular but public SCM?

Yes.

> I see you've changed it to "custom (non published)". There is a typo:
> s/non /non-/  ;)

Thanks, corrected and added explanation below the question.
 
[...]
> > But it is here for completeness only; however if you have some good
> > explanation for "core-git" option I can put it below this question.
> 
> I think it should be rephrased by "git" or "git (pure)" or "git (core)".
> But "core-git" really looks like another tool to me.

Done.

> > > > (*) Unless of cours you are hosting some git hosting site
> > >              ^^^^^^^^                                      ^
> > > 	     typo, but I'd rather do s/of cours //   and s/$/./ :-)
> > 
> > Thanks.  Done.
> 
> Now it is:
> > (*) Unless of course you are hosting some git hosting site
>             ^         ^                                     ^
> I like punctuation:
>   (*) Unless, of course, you are hosting some git hosting site.
> 
> *nitpick* :-)

Done.

> > > > 28. Which of the following features do or did you use?
> > > 
> > > I think many of the possible replies have been used in several other
> > > questions before, e.g. in 
> > >  - 21. (gitk, git gui), 
> > >  - 24. (git bundle),
> > >  - 26/27. (git gui, gitk, git stash)
> > >  - ...
> > > 
> > > But this question still seems to makes sense for:
> > >  [ ] eol conversion (crlf)
> > >  [ ] gitattributes
> > >  [ ] reflog (ref@{23})
> > >  [ ] shallow clone
> > >  [ ] detaching HEAD   <- I think several people could have used that without knowing
> > >  [ ] commit templates
> > >  [ ] integration with IDE/editor
> > >  [ ] non-default hooks
> 
> No comment here? ;-)
> 
> When replying to this question I really felt like having answered all
> that before.

They _are_ different questions; yes, some answers repeat themselves
because I tried each question to be self-contained, if possible, so
it should be easy to skip some question and still have full value
in the rest of questions.

> > > And btw:
> > > > [ ] working with dirty tree      <- Eh? Is this a feature?
> > 
> > This is distinguishing feature.  What I mean here that you can use
> > "git add" and "git commit" (not "git commit -a")
> 
> Sounds like "Taking advantage of using the index".
> (Yesterday/today/tomorrow I am using SVN in university and I wished so
> much that I had some git or at least git-svn[1] just because of the
> *index*.)

Hmmm... reading the above I have thought about adding "incremental
committing" to the list of features; I mean here the workflow of
"<edit>; git add; git diff/git diff --cached; <edit>; git add; commit"

But I think I'll just add "the index" to question

  30. Which features do you find unique and/or useful ones,
      compared to other systems (other SCMs)?

and leave the rest for free-form question 31. following it: "If you use
some important Git features not mentioned above, what are those?".

> Another general comment: Multiple choice question have the disadvantage
> that we cannot distinguish "None" and skipped questions.
> So if this is an issue, I wonder if adding a "None of the above" choice
> could help. But perhaps this is no issue and can be ignored.

Hmmmm....

-- 
Jakub Narebski
Poland